%define upstream_name	 Email-MIME
%define upstream_version 1.953

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Easy MIME message parsing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Email::Address::XS)
BuildRequires: perl(Email::MIME::ContentType) >= 1.23.0
BuildRequires: perl(Email::MIME::Encodings) >= 1.314.0
BuildRequires: perl(Email::MessageID)
BuildRequires: perl(Email::Simple) >= 2.212.0
BuildRequires: perl(Email::Simple::Creator)
BuildRequires: perl(Email::Simple::Header)
BuildRequires: perl(Encode) >= 1.980.100
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types) >= 1.130.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Email-MIME-Creator <= 1.456.0
Provides:   perl-Email-MIME-Creator  = 1.456.0
Obsoletes:  perl-Email-MIME-Modifier <= 1.444.0
Provides:   perl-Email-MIME-Modifier  = 1.444.0

Requires:   perl(Email::Simple)
%description
This is an extension of the Email::Simple module, to handle MIME encoded
messages. It takes a message as a string, splits it up into its constituent
parts, and allows you access to various parts of the message. Headers are
decoded from MIME encoding.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Wed Jan 11 2023 tv <tv> 1.953.0-1.mga9
+ Revision: 1932256
- update to 1.953

* Mon Mar 21 2022 umeabot <umeabot> 1.952.0-2.mga9
+ Revision: 1815850
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 1.952.0-1.mga9
+ Revision: 1763112
- update to 1.952

* Tue Jan 05 2021 bcornec <bcornec> 1.949.0-4.mga8
+ Revision: 1668935
- Bump mkrel to 4 to be upper than the mga7 release

* Mon May 25 2020 tv <tv> 1.949.0-1.mga8
+ Revision: 1587512
- update to 1.949

* Wed Feb 12 2020 umeabot <umeabot> 1.946.0-4.mga8
+ Revision: 1504358
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.946.0-3.mga7
+ Revision: 1283619
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.946.0-2.mga7
+ Revision: 1164287
- rebuild with fixed rpm for missing autodeps

* Sun Sep 10 2017 guillomovitch <guillomovitch> 1.946.0-1.mga7
+ Revision: 1152445
- new version 1.946

* Fri Jul 21 2017 sander85 <sander85> 1.940.0-1.mga7
+ Revision: 1126196
- update to 1.940

* Sun Jun 19 2016 pterjan <pterjan> 1.937.0-2.mga6
+ Revision: 1026905
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.937.0-1.mga6
+ Revision: 1001886
- update to 1.937

* Fri Feb 19 2016 umeabot <umeabot> 1.936.0-2.mga6
+ Revision: 970004
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.936.0-1.mga6
+ Revision: 884550
- update to 1.936

* Wed Aug 05 2015 sander85 <sander85> 1.934.0-1.mga6
+ Revision: 861330
- update to 1.934

* Sun Jul 26 2015 sander85 <sander85> 1.933.0-1.mga6
+ Revision: 857866
- update to 1.933

* Tue Jun 30 2015 sander85 <sander85> 1.929.0-1.mga6
+ Revision: 848546
- update to 1.929

* Wed Oct 15 2014 umeabot <umeabot> 1.926.0-3.mga5
+ Revision: 746859
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.926.0-2.mga5
+ Revision: 684620
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.926.0-1.mga5
+ Revision: 588115
- update to 1.926

* Sat Oct 19 2013 umeabot <umeabot> 1.924.0-2.mga4
+ Revision: 531933
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.924.0-1.mga4
+ Revision: 465803
- update to 1.924

* Fri Aug 09 2013 sander85 <sander85> 1.923.0-1.mga4
+ Revision: 464887
- update to 1.923

* Sun Jul 14 2013 sander85 <sander85> 1.922.0-1.mga4
+ Revision: 454170
- update to 1.922

* Sun Jan 13 2013 umeabot <umeabot> 1.911.0-2.mga3
+ Revision: 366792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.911.0-1.mga3
+ Revision: 294864
- update to 1.911

* Mon Sep 26 2011 jquelin <jquelin> 1.910.0-1.mga2
+ Revision: 148273
- update to 1.910

* Wed Jun 15 2011 jquelin <jquelin> 1.908.0-1.mga2
+ Revision: 106934
- update to 1.908

* Wed Feb 16 2011 jquelin <jquelin> 1.907.0-1.mga1
+ Revision: 52475
- update to 1.907

* Sat Jan 22 2011 jquelin <jquelin> 1.906.0-1.mga1
+ Revision: 31944
- mageia rebuild
- imported package perl-Email-MIME

